Skip to main content
GET
/
schedules
/
{uuid}
Get availability schedule by UUID
curl --request GET \
  --url https://api.zeeg.me/v2/schedules/{uuid} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "status": 200,
  "resource": {
    "uri": "https://api.zeeg.me/v2/schedules/otrBCIib7j",
    "uuid": "otrBCIib7j",
    "email": "lena.meier@horizondigital.de",
    "title": "Evening Consultations",
    "isDefault": false,
    "timezone": "Europe/Berlin",
    "weekly_hours": [
      {
        "day": "Mon",
        "timesets": [
          [
            "18:00",
            "20:00"
          ]
        ]
      },
      {
        "day": "Tue",
        "timesets": [
          [
            "18:00",
            "20:00"
          ]
        ]
      },
      {
        "day": "Wed",
        "timesets": []
      },
      {
        "day": "Thu",
        "timesets": [
          [
            "18:00",
            "20:00"
          ]
        ]
      },
      {
        "day": "Fri",
        "timesets": []
      },
      {
        "day": "Sat",
        "timesets": []
      },
      {
        "day": "Sun",
        "timesets": []
      }
    ],
    "special_hours": null,
    "schedulingPages": [],
    "currentTime": "2026-04-10T08:30:00+02:00",
    "createdAt": "2026-04-02T12:00:00.000000Z",
    "updatedAt": "2026-04-02T12:00:00.000000Z"
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

uuid
string<uuid>
required

Schedule public identifier

Example:

"Q1ZYo391da"

Query Parameters

email
string<email>
required

Email address of the user who owns the schedule.

Example:

"lena.meier@horizondigital.de"

includeSchedulingPages
boolean
default:false

When true, includes the list of scheduling pages associated with the schedule.

Example:

true

Response

OK

resource
object
required
success
boolean
Example:

true

status
integer
Example:

200

Last modified on April 4, 2026